extends Node3D

var anim_lib:AnimationLibrary

func _ready() -> void:
	anim_lib = load("res://lib1.tres")

func _unhandled_input(event: InputEvent) -> void:
	if event.is_action_pressed("PlayAnim"):
		play_anim()

func play_anim():
	var ap = ($AnimationPlayer as AnimationPlayer)

	ap.remove_animation_library("lib1")
	ap.add_animation_library("lib1", anim_lib)
	ap.play("lib1/new_animation")
